Subject: Ticket Assigned - Same mistake ?how idiot and looser
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 19 May 2022 02:37:39 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Same mistake ?how idiot and looser I just received my order no. 2108563282 for the second time wz the same mistake the same wrong item? I order this set [image] but I received this same wrong one like the last order [image] what a looser workers what a service I never seen like this before I will complain u to the consumer protection حسبي الله ونعم الوكيل

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4248568